Subject: Offline Message from Nasser: Good day, i was order 4 items , i m recive 2 ite
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 09 Jul 2020 07:03:46 -0000

From: Nasser <[email-masked]>
Phone: 
Location: Ajman, United Arab Emirates
URL: https://www.mumzworld.com/en/sales/order/view/order_id/1600911/
Department: 

Good day, i was order 4 items , i m recive 2 items and last 2 still in process, no recived.Order #600918745 - Processing. I m writed in comment: please send all items in one day, one time. I m firs see that like bad service. I m future no buy from mumzworldm and will recomend fir my parents and other peopls no buy from this side.

----
Zopim
https://www.zopim.com